Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IUrlTemplates

    public interface IUrlTemplates

URL templates for various types of URLs.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getBlockingActionTemplate()` Returns the blocking action URL template.
`String` | `getDefaultTemplate()` Returns the default URL template.
`String` | `getRenderTemplate()` Returns the render URL template.
`String` | `getResourceTemplate()` Returns the resource URL template.
`String` | `getSecureBlockingActionTemplate()` Returns the secure blocking action URL template.
`String` | `getSecureDefaultTemplate()` Returns the secure default URL template.
`String` | `getSecureRenderTemplate()` Returns the secure render URL template.
`String` | `getSecureResourceTemplate()` Returns the secure resource URL template.
`String` | `getSecureStandaloneTemplate()` Returns the secure standalone portlet URL template.
`String` | `getStandaloneTemplate()` Returns the standalone portlet URL template.
`void` | `setBlockingActionTemplate(String blockingActionTemplate)`
`void` | `setDefaultTemplate(String defaultTemplate)`
`void` | `setRenderTemplate(String renderTemplate)`
`void` | `setResourceTemplate(String resourceTemplate)`
`void` | `setSecureBlockingActionTemplate(String secureBlockingActionTemplate)`
`void` | `setSecureDefaultTemplate(String secureDefaultTemplate)`
`void` | `setSecureRenderTemplate(String secureRenderTemplate)`
`void` | `setSecureResourceTemplate(String secureResourceTemplate)`
`void` | `setSecureStandaloneTemplate(String secureStandaloneTemplate)` Sets the supplied `secureStandaloneTemplate` value as the secure standalone portlet URL template.
`void` | `setStandaloneTemplate(String standaloneTemplate)` Sets the supplied `standaloneTemplate` value as the standlone portlet URL template.

Method Detail

### getDefaultTemplate

    String getDefaultTemplate()

  Returns the default URL template.

  Returns
    the default URL template

### getBlockingActionTemplate

    String getBlockingActionTemplate()

  Returns the blocking action URL template.

  Returns
    the blocking action URL template

### getRenderTemplate

    String getRenderTemplate()

  Returns the render URL template.

  Returns
    the render URL template

### getResourceTemplate

    String getResourceTemplate()

  Returns the resource URL template.

  Returns
    the resource URL template

### getSecureDefaultTemplate

    String getSecureDefaultTemplate()

  Returns the secure default URL template.

  Returns
    the secure default URL template

### getSecureBlockingActionTemplate

    String getSecureBlockingActionTemplate()

  Returns the secure blocking action URL template.

  Returns
    the secure blocking action URL template

### getSecureRenderTemplate

    String getSecureRenderTemplate()

  Returns the secure render URL template.

  Returns
    the secure render URL template

### getSecureResourceTemplate

    String getSecureResourceTemplate()

  Returns the secure resource URL template.

  Returns
    the secure resource URL template

### getSecureStandaloneTemplate

    String getSecureStandaloneTemplate()

  Returns the secure standalone portlet URL template.

  Returns
    the secure standalone portlet URL template

### setSecureStandaloneTemplate

    void setSecureStandaloneTemplate(String secureStandaloneTemplate)

  Sets the supplied `secureStandaloneTemplate` value as the secure standalone portlet URL template.

  Parameters
    `secureStandaloneTemplate` -

### getStandaloneTemplate

    String getStandaloneTemplate()

  Returns the standalone portlet URL template.

  Returns
    the standalone portlet URL template

### setStandaloneTemplate

    void setStandaloneTemplate(String standaloneTemplate)

  Sets the supplied `standaloneTemplate` value as the standlone portlet URL template.

  Parameters
    `standaloneTemplate` -

### setDefaultTemplate

    void setDefaultTemplate(String defaultTemplate)

### setBlockingActionTemplate

    void setBlockingActionTemplate(String blockingActionTemplate)

### setRenderTemplate

    void setRenderTemplate(String renderTemplate)

### setResourceTemplate

    void setResourceTemplate(String resourceTemplate)

### setSecureDefaultTemplate

    void setSecureDefaultTemplate(String secureDefaultTemplate)

### setSecureBlockingActionTemplate

    void setSecureBlockingActionTemplate(String secureBlockingActionTemplate)

### setSecureRenderTemplate

    void setSecureRenderTemplate(String secureRenderTemplate)

### setSecureResourceTemplate

    void setSecureResourceTemplate(String secureResourceTemplate)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.